@article{rothschild1994adam,
  title={Adam Smith and the invisible hand},
  author={Rothschild, Emma},
  journal={The American Economic Review},
  volume={84},
  number={2},
  pages={319--322},
  year={1994},
  publisher={JSTOR}
}

@article{Schimeczek2023, 
  doi = {10.21105/joss.05087},
  url = {https://doi.org/10.21105/joss.05087},
  year = {2023}, publisher = {The Open Journal},
  volume = {8}, number = {84}, pages = {5087},
  author = {Christoph Schimeczek and Marc Deissenroth-Uhrig and Ulrich Frey and Benjamin Fuchs and A. Achraf El Ghazi and Manuel Wetzel and Kristina Nienhaus}, title = {FAME-Core: An open Framework for distributed Agent-based Modelling of Energy systems},
  journal = {Journal of Open Source Software} 
  }

@article{tesfatsion2002agent,
  title={Agent-based computational economics: Growing economies from the bottom up},
  author={Tesfatsion, Leigh},
  journal={Artificial life},
  volume={8},
  number={1},
  pages={55--82},
  year={2002},
  publisher={MIT Press},
  doi={10.2139/ssrn.305080}
}

@techreport{lsd2008,
  title={Laboratory for simulation development: Lsd},
  author={Valente, Marco},
  year={2008},
  institution={LEM Working Paper Series}
}

@article{chin2012flame,
  title={Flame: An approach to the parallelisation of agent-based applications},
  author={Chin, AL and Worth, AD and Greenough, AC and Coakley, S and Holcombe, M and Kiran, M},
  journal={Work},
  volume={501},
  pages={63259},
  year={2012}
}

@article{frey2019,
  title={Improving reproducibility in energy systems analysis: Introducing FAME-a framework for agent-based models},
  author={Frey, Ulrich J and Schimeczek, Christoph and Deissenroth, Marc and Nienhaus, Kristina},
  year={2019}
}

@article{hansen2019agent,
  title={Agent-based modelling and socio-technical energy transitions: A systematic literature review},
  author={Hansen, Paula and Liu, Xin and Morrison, Gregory M},
  journal={Energy Research \& Social Science},
  volume={49},
  pages={41--52},
  year={2019},
  publisher={Elsevier},
  doi={10.1016/j.erss.2018.10.021},
}

@article{cincotti2022we,
  title={Why do we need agent-based macroeconomics?},
  author={Cincotti, Silvano and Raberto, Marco and Teglio, Andrea},
  journal={Review of Evolutionary Political Economy},
  volume={3},
  number={1},
  pages={5--29},
  year={2022},
  publisher={Springer},
  doi={10.1007/s43253-022-00071-w}
}

@article{axtell2022agent,
  title={Agent-based modeling in economics and finance: Past, present, and future},
  author={Axtell, Robert L and Farmer, J Doyne},
  journal={Journal of Economic Literature},
  year={2022},
  publisher={American Economic Association}
}

@article{caiani2016agent,
  title={Agent based-stock flow consistent macroeconomics: Towards a benchmark model},
  author={Caiani, Alessandro and Godin, Antoine and Caverzasi, Eugenio and Gallegati, Mauro and Kinsella, Stephen and Stiglitz, Joseph E},
  journal={Journal of Economic Dynamics and Control},
  volume={69},
  pages={375--408},
  year={2016},
  publisher={Elsevier},
  doi={10.2139/ssrn.2664125}
}

@article{klein2018agent,
  title={Agent-based modeling in social science, history, and philosophy. An introduction},
  author={Klein, Dominik and Marx, Johannes and Fischbach, Kai},
  journal={Historical Social Research/Historische Sozialforschung},
  volume={43},
  number={1 (163},
  pages={7--27},
  year={2018},
  publisher={JSTOR}
}

@article{Foramitti2021,
doi = {10.21105/joss.03065},
url = {https://doi.org/10.21105/joss.03065},
year = {2021}, publisher = {The Open Journal},
volume = {6}, number = {62}, pages = {3065},
author = {Joël Foramitti},
title = {AgentPy: A package for agent-based modeling in Python},
journal = {Journal of Open Source Software} }

@inproceedings{masad2015mesa,
  title={MESA: an agent-based modeling framework},
  author={Masad, David and Kazil, Jacqueline},
  booktitle={14th PYTHON in Science Conference},
  volume={2015},
  pages={53--60},
  year={2015},
  organization={Citeseer}
}

@misc{abce,
title = {abcEconomics the Agent-Based Computational Economy platform that makes modeling easier},
author = {Taghawi-Nejad,Davoud et al.},
year = {2017},
url = {https://abce.readthedocs.io/en/master/}
}

@misc{aieco,
 Author = {Stephan Zheng, Alexander Trott, Sunil Srinivasa, Nikhil Naik, Melvin Gruesbeck, David C. Parkes, Richard Socher},
 Title = {The AI Economist: Improving Equality and Productivity with AI-Driven Tax Policies},
 Year = {2020},
 Eprint = {arXiv:2004.13332},
}

@misc{sfcmodels,
 author = {Romanchuk, Brian},
 title = {SFC Models Package Introduction},
 url = {https://github.com/brianr747/SFC_models},
 year = {2016}
}

@article{abar2017agent,
  title={Agent Based Modelling and Simulation tools: A review of the state-of-art software},
  author={Abar, Sameera and Theodoropoulos, Georgios K and Lemarinier, Pierre and O’Hare, Gregory MP},
  journal={Computer Science Review},
  volume={24},
  pages={13--33},
  year={2017},
  publisher={Elsevier},
  doi={10.1016/j.cosrev.2017.03.001}
}

@article{jabm,
  title={Applying dependency injection to agent-based modeling: the JABM toolkit},
  author={Phelps, Steve},
  journal={Centre for Computational Finance and Economic Agents (CCFEA): Colchester, UK},
  year={2012}
}


@article{g2019netlogo,
  title={Netlogo},
  author={Gooding, Tim and Gooding, Tim},
  journal={Economics for a Fairer Society: Going Back to Basics using Agent-Based Models},
  pages={37--43},
  year={2019},
  publisher={Springer}
}

@incollection{castelfranchi2014making,
  title={Making visible “the invisible hand”: The mission of social simulation},
  author={Castelfranchi, Cristiano},
  booktitle={Interdisciplinary Applications of Agent-Based Social Simulation and Modeling},
  pages={1--19},
  year={2014},
  publisher={IGI Global},
  doi={10.2139/ssrn.2741107}
}


@article{nikiforos2018stock,
  title={Stock-Flow Consistent macroeconomic models: a survey},
  author={Nikiforos, Michalis and Zezza, Gennaro},
  journal={Analytical Political Economy},
  pages={63--102},
  year={2018},
  publisher={Wiley Online Library},
  doi={10.1111/joes.12221}
}

@article{caverzasi2015post,
  title={Post-Keynesian stock-flow-consistent modelling: a survey},
  author={Caverzasi, Eugenio and Godin, Antoine},
  journal={Cambridge Journal of Economics},
  volume={39},
  number={1},
  pages={157--187},
  year={2015},
  publisher={Oxford University Press},
  doi={10.1093/cje/beu021}
}

@article{bandini2009agent,
  title={Agent based modeling and simulation: an informatics perspective},
  author={Bandini, Stefania and Manzoni, Sara and Vizzari, Giuseppe},
  journal={Journal of Artificial Societies and Social Simulation},
  volume={12},
  number={4},
  pages={4},
  year={2009}
}
